# Created by pyp2rpm-1.1.2
%global upstream_name contextlib2
%global with_python3 1

%if 0%{?fedora}
%{!?python3_pkgversion: %global python3_pkgversion 3}
%else
%{!?python3_pkgversion: %global python3_pkgversion 34}
%endif

Name:           python-%{upstream_name}
Version:        0.4.0
Release:        1%{?dist}
Summary:        Backports and enhancements for the contextlib module

License:        PSF
URL:            http://contextlib2.readthedocs.org
Source0:        https://pypi.python.org/packages/source/c/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-sphinx

%if %{?with_python3}
BuildRequires:  python3-pkgversion-macros
BuildRequires:  python%{python3_pkgversion}-devel
#BuildRequires:  python%{python3_pkgversion}-sphinx
%endif # if with_python3


%description
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for
possible future enhancements to the standard library version.

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{upstream_name}
Summary:        Backports and enhancements for the contextlib module


%description -n python%{python3_pkgversion}-%{upstream_name}
contextlib2 is a backport of the standard library's contextlib module to
earlier Python versions.

It also serves as a real world proving ground for
possible future enhancements to the standard library version.
%endif # with_python3


%prep
%setup -q -n %{upstream_name}-%{version}

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs 
#sphinx-build-%{python3_version} docs html
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3


%files
%defattr(-,root,root,-)
%doc html README.txt LICENSE.txt
%{python2_sitelib}/%{upstream_name}.py*
%{python2_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{upstream_name}
%defattr(-,root,root,-)
%doc html README.txt LICENSE.txt
%dir %{python3_sitelib}/__pycache__/
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{upstream_name}.py
%{python3_sitelib}/%{upstream_name}-%{version}-py?.?.egg-info
%endif # with_python3


%changelog
* Thu Feb 12 2015 Aurelien Bompard - 0.4.0-1
- Initial package.
